#include "common-app.h"

static unsigned count;

void
init (void)
{
  REGS->mailboxes.mboxout = 0x12345678;

  /* Enable scrubber */
  SUPERVISOR->scrub_cfg = HYDRA_SUPERVISOR_REGS_SCRUB_CFG_IRAM_EN
    | HYDRA_SUPERVISOR_REGS_SCRUB_CFG_DRAM_EN;
}

void
main (void)
{
  SUPERVISOR->wd_key = WD_KEY;

  if (REGS->mailboxes.status & MBOX_REGS_STATUS_MBIN)
    {
      unsigned dat;

      count++;

      dat = REGS->mailboxes.mboxin;
      REGS->mailboxes.mboxout = (~dat & 0x0000ffff) | (count << 16);

    }
}
